Battery Time Remaining 2
======================

Show the estimated battery time remaining on top of your screen in Mac OS X 10.8 Mountain Lion.

![Normal mode](https://raw.github.com/codler/Battery-Time-Remaining/master/preview.png)
![Advanced mode](https://raw.github.com/codler/Battery-Time-Remaining/master/preview_advanced.png)

Why does this project exist?
-----------------------------

Apple removed the option to show the battery time remaining in the statusbar since the Mountain Lion release. This App will do exactly that, show the battery time remaining on top of your screen.

How do I install it?
--------------------

Three options:

- Download from [App Store](https://itunes.apple.com/us/app/battery-time-2/id665678267?mt=12)
- Download [latest version](http://yap.nu/battery-time-remaining/), unzip and run the App
- Download the source here from Github and compile it with XCode

Is it accurate?
---------------

The App shows the exact same time as you will see when you click the battery icon. The time is provided by Mac OS X itself and as accurate as you can get.

How do I contribute?
--------------------

Fork this project, make some changes and submit a pull request. Check the issues tab for inspiration on what to fix. Please make sure your fork is the latest development version!

If you find any issues or have a feature request please contribute by submitting an issue here on Github!

If you would like to donate some bitcoins:

<code>19H9hk9LgALN41msp67LYysLLyYN23q7Y4</code>

Who did make this app?
----------------------

* [Han Lin Yap](https://github.com/codler) and thanks to [contributors](https://github.com/codler/Battery-Time-Remaining/graphs/contributors)!

App icon provided by happytel.com free calling for all.

Change log
----------

2014-10-17 - **v3.0** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v2.1...v3.0)

* Added support for OS X 10.10 Yosemite ([codler](https://github.com/codler) [#89](https://github.com/codler/Battery-Time-Remaining/issues/89))

2014-01-02 - **v2.1** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v2.0.2...v2.1)

* Added notifications while charging ([codler](https://github.com/codler) [#79](https://github.com/codler/Battery-Time-Remaining/issues/79))
* Updated German language ([Velines](https://github.com/Velines) [#80](https://github.com/codler/Battery-Time-Remaining/pull/80))

2013-10-23 - **v2.0.2** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v2.0.1...v2.0.2)

* Updated French language ([Vinky41](https://github.com/Vinky41) [#69](https://github.com/codler/Battery-Time-Remaining/pull/69))
* Updated Traditional Chinese Taiwan language ([mlkh0225](https://github.com/mlkh0225) [#73](https://github.com/codler/Battery-Time-Remaining/pull/73))
* Fix allow Mac with 2 GPUs to utilize integrated GPU ([airdrummingfool](https://github.com/airdrummingfool) [#74](https://github.com/codler/Battery-Time-Remaining/issues/74) [#75](https://github.com/codler/Battery-Time-Remaining/pull/75))

2013-10-23 - **v1.6.5** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.6.4...v1.6.5)

* Update French language ([Vinky41](https://github.com/Vinky41) [#69](https://github.com/codler/Battery-Time-Remaining/pull/69))
* Fix allow Mac with 2 GPUs to utilize integrated GPU ([airdrummingfool](https://github.com/airdrummingfool) [#74](https://github.com/codler/Battery-Time-Remaining/issues/74) [#75](https://github.com/codler/Battery-Time-Remaining/pull/75))

2013-09-03 - **v2.0.1** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v2.0...v2.0.1)

* Added Hide time setting ([codler](https://github.com/codler))
* Added Traditional Chinese Taiwan language ([mlkh0225](https://github.com/mlkh0225) [#68](https://github.com/codler/Battery-Time-Remaining/pull/68))
* Improved status bar, able to see both percentage and time as same time. ([codler](https://github.com/codler) [#65](https://github.com/codler/Battery-Time-Remaining/issues/65))
* Fix bug not showing correct color on menu select ([codler](https://github.com/codler))
* Fix bug not showing parenthesis when showing percentage ([codler](https://github.com/codler))

2013-09-03 - **v1.6.4** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.6.3...v1.6.4)

* Added Traditional Chinese Taiwan language ([mlkh0225](https://github.com/mlkh0225) [#68](https://github.com/codler/Battery-Time-Remaining/pull/68))

2013-07-05 - **v2.0** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.6.3...v2.0)

* Added Hide icon setting ([codler](https://github.com/codler) [#51](https://github.com/codler/Battery-Time-Remaining/issues/51))
* Added Display Fahrenheit setting ([codler](https://github.com/codler) [danielmartin](https://github.com/danielmartin) [#60](https://github.com/codler/Battery-Time-Remaining/issues/60) [#62](https://github.com/codler/Battery-Time-Remaining/pull/62))
* Added Display percentage setting ([codler](https://github.com/codler) [#55](https://github.com/codler/Battery-Time-Remaining/issues/55))
* Added Display white text setting ([codler](https://github.com/codler) [JohnnySlagle](https://github.com/JohnnySlagle) [#64](https://github.com/codler/Battery-Time-Remaining/pull/64))
* Show time since unplugged (advanced mode) ([alexanderad](https://github.com/alexanderad) [codler](https://github.com/codler) [#54](https://github.com/codler/Battery-Time-Remaining/pull/54))

2013-06-30 - **v1.6.3** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.6.2...v1.6.3)

* Added Russian language ([ericbroska](https://github.com/ericbroska) [#58](https://github.com/codler/Battery-Time-Remaining/pull/58))

2013-01-20 - **v1.6.2** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.6.1...v1.6.2)

* Added Spanish language ([danielmartin](https://github.com/danielmartin) [#56](https://github.com/codler/Battery-Time-Remaining/pull/56))
* Change home url and update url ([codler](https://github.com/codler) [#57](https://github.com/codler/Battery-Time-Remaining/issues/57))

2012-11-01 - **v1.6.1** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.6...v1.6.1)

* Added Italian language ([DMG1](https://github.com/DMG1) [#46](https://github.com/codler/Battery-Time-Remaining/issues/46))
* Added Korean language ([JustyStyle](https://github.com/justystyle))
* Updated French, German, Swedish languages ([codler](https://github.com/codler) [Velines](https://github.com/Velines) [Vinky41](https://github.com/Vinky41) [#48](https://github.com/codler/Battery-Time-Remaining/pull/48))
* Prompt auto update ([codler](https://github.com/codler))

2012-10-03 - **v1.6** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.5.2...v1.6)

* New app icon ([dizel247](https://github.com/dizel247) [#11](https://github.com/codler/Battery-Time-Remaining/issues/11))
* Added fast switch between advanced mode by pressing option key. ([codler](https://github.com/codler))
* Added Polish language ([alamilar](https://github.com/alamilar) [#38](https://github.com/codler/Battery-Time-Remaining/issues/38))
* Added Portuguese language (dvm)
* Added Simplified Chinese language ([zhangwen590](https://github.com/zhangwen590))
* Improved notification ([codler](https://github.com/codler) [#20](https://github.com/codler/Battery-Time-Remaining/issues/20))
* Improved translation ([codler](https://github.com/codler) [#26](https://github.com/codler/Battery-Time-Remaining/issues/26))
* Improved battery icon ([codler](https://github.com/codler) [#29](https://github.com/codler/Battery-Time-Remaining/issues/29))
* Improved menu ([codler](https://github.com/codler))
* Fix memory leaks ([codler](https://github.com/codler))
* Fix bug not showing correct on logon ([codler](https://github.com/codler) [#22](https://github.com/codler/Battery-Time-Remaining/issues/22))

2012-08-29 - **v1.5.2** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.5.1...v1.5.2)

* Added Display time with parantheses setting ([c-alpha](https://github.com/c-alpha) [#19](https://github.com/codler/Battery-Time-Remaining/pull/19))
* Added Slovak language ([miroslavchutnak](https://github.com/miroslavchutnak) [#34](https://github.com/codler/Battery-Time-Remaining/issues/34))
* Updated existing languages ([codler](https://github.com/codler) [c-alpha](https://github.com/c-alpha) [guillaume-algis](https://github.com/guillaume-algis) [mac-cain13](https://github.com/mac-cain13) [Velines](https://github.com/Velines) [Vinky41](https://github.com/Vinky41) [#21](https://github.com/codler/Battery-Time-Remaining/pull/21) [#25](https://github.com/codler/Battery-Time-Remaining/pull/25) [#27](https://github.com/codler/Battery-Time-Remaining/pull/27))
* Improved battery icon ([codler](https://github.com/codler) [c-alpha](https://github.com/c-alpha) [#19](https://github.com/codler/Battery-Time-Remaining/pull/19))
* Fix bug not showing red color in battery icon in v1.5.1

2012-08-25 - **v1.5.1** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.5...v1.5.1)

* Added French language ([guillaume-algis](https://github.com/guillaume-algis) [#16](https://github.com/codler/Battery-Time-Remaining/pull/16))
* Added German language ([Velines](https://github.com/Velines) [#18](https://github.com/codler/Battery-Time-Remaining/pull/18))
* Improved battery icon by adding white drop shadow ([guillaume-algis](https://github.com/guillaume-algis) [#16](https://github.com/codler/Battery-Time-Remaining/pull/16) [#5](https://github.com/codler/Battery-Time-Remaining/issues/5))
* Fix a bug on battery icon in retina display ([codler](https://github.com/codler) [#13](https://github.com/codler/Battery-Time-Remaining/issues/13))
* Fix a bug not showing batteryCharged icon  ([codler](https://github.com/codler))

2012-08-19 - **v1.5** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.4...v1.5)

* Added language support ([mac-cain13](https://github.com/mac-cain13) [#9](https://github.com/codler/Battery-Time-Remaining/pull/9))
* Added Dutch language ([mac-cain13](https://github.com/mac-cain13) [#9](https://github.com/codler/Battery-Time-Remaining/pull/9) [#10](https://github.com/codler/Battery-Time-Remaining/pull/10))
* Added Swedish language ([codler](https://github.com/codler))
* Added advanced mode section ([codler](https://github.com/codler))
* Show battery temperature (advanced mode) ([codler](https://github.com/codler))
* Show power usage (advanced mode) ([codler](https://github.com/codler))
* Show battery cycle count (advanced mode) ([codler](https://github.com/codler))
* Show battery in mAh (advanced mode) ([codler](https://github.com/codler))
* Improved battery icon ([codler](https://github.com/codler) [#8](https://github.com/codler/Battery-Time-Remaining/issues/8))
* Improved app icon ([codler](https://github.com/codler) [#11](https://github.com/codler/Battery-Time-Remaining/issues/11))
* Code improvements ([codler](https://github.com/codler))
* Smaller text in menubar ([codler](https://github.com/codler) [#12](https://github.com/codler/Battery-Time-Remaining/issues/12))

2012-08-15 - **v1.4** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.3...v1.4)

* App sandbox ([codler](https://github.com/codler))
* Rewrote start at login ([codler](https://github.com/codler) [#4](https://github.com/codler/Battery-Time-Remaining/issues/4))
* Improved battery icon ([codler](https://github.com/codler))
* Improved notification ([codler](https://github.com/codler))

2012-08-12 - **v1.3** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.2.1...v1.3)

* Added check for updates ([codler](https://github.com/codler))
* Display battery percentage left in menu ([codler](https://github.com/codler) [#6](https://github.com/codler/Battery-Time-Remaining/issues/6))

2012-08-09 - **v1.2.1** *(signed app)* - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.2...v1.2.1)

* Added notifications ([codler](https://github.com/codler))
* Added open energy saver preferences option ([codler](https://github.com/codler))

2012-08-08 - **v1.2** *(signed app)* - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.1.1...v1.2)

* From now on the app will always be signed. ([codler](https://github.com/codler) [#3](https://github.com/codler/Battery-Time-Remaining/issues/3))
* Added higher resolution app icon ([codler](https://github.com/codler))

2012-08-06 - **v1.1.1** *(unsigned app)* - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.1...v1.1.1)

* Added app icon ([mac-cain13](https://github.com/mac-cain13) [#2](https://github.com/codler/Battery-Time-Remaining/pull/2))
* Improved battery icon ([mac-cain13](https://github.com/mac-cain13) [#2](https://github.com/codler/Battery-Time-Remaining/pull/2))
* Removed MainMenu.xib ([codler](https://github.com/codler))

2012-08-05 - **v1.1** *(unsigned app)* - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.0...v1.1)

* Added battery icon ([mac-cain13](https://github.com/mac-cain13) [#1](https://github.com/codler/Battery-Time-Remaining/pull/1))
* Added start at login option ([mac-cain13](https://github.com/mac-cain13) [#1](https://github.com/codler/Battery-Time-Remaining/pull/1))
* Added readme ([mac-cain13](https://github.com/mac-cain13) [#1](https://github.com/codler/Battery-Time-Remaining/pull/1))
* Improved battery icon ([codler](https://github.com/codler))
* Improved time remaining text ([mac-cain13](https://github.com/mac-cain13) [#1](https://github.com/codler/Battery-Time-Remaining/pull/1))

2012-08-01 - **v1.0** *(unsigned app)*

* First commit. ([codler](https://github.com/codler))
